Package org.eclipse.emf.cdo.common.util

# Interface ResourceSetConfigurer.Registry.ResourceSetConfiguration

All Superinterfaces:
  `Adapter`

Enclosing interface:
  `ResourceSetConfigurer.Registry`

public static interface ResourceSetConfigurer.Registry.ResourceSetConfiguration extends Adapter
A resource set `adapter` that carries the `results` of all `resource set configurers` that configured the adapted resource set.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`getConfigurerResults()`
`ResourceSet`
`getResourceSet()`
`boolean`
`isActive()`
`static ResourceSetConfigurer.Registry.ResourceSetConfiguration`
`of(ResourceSet resourceSet)`

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, isAdapterForType, notifyChanged, setTarget`

## Method Details

### getResourceSet

ResourceSet getResourceSet()

### getConfigurerResults

Map<String,Object> getConfigurerResults()

### isActive

boolean isActive()

### of

static ResourceSetConfigurer.Registry.ResourceSetConfiguration of(ResourceSet resourceSet)